﻿//
// Copyright (c) 2017, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

using MindFusion.Charting;
using Brush = MindFusion.Drawing.Brush;
using SolidBrush = MindFusion.Drawing.SolidBrush;

namespace Test
{
	public partial class DateTimeSeries : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			if (!IsPostBack)
			{
				// create sample data
				var data = new ObservableCollection<Series>();

				var years = new List<DateTime>();
				var dt = new DateTime(DateTime.Now.Year - 10, 1, 1);
				for (; ; )
				{
					if (dt.Year > DateTime.Now.Year)
						break;
					dt = dt.AddYears(1);
					years.Add(dt);
				}

				var income = new List<double>() { 13.2f, 15.6f, 17.8f, 39, 20, 29, 79, 101, 120, 122,155 };

				var series = new MindFusion.Charting.DateTimeSeries(
					years, income, years[0], years[years.Count() - 1]);
				series.MinValue = 0;
				series.MaxValue = 1;
				series.DateTimeFormat = DateTimeFormat.CustomDateTime;
				series.CustomDateTimeFormat = "{\"year\":\"numeric\"}";

				data.Add(series);

				// setup chart
				chart.Series = data;
				chart.Title = "Acme Inc. financial report";
				chart.ShowXCoordinates = false;
				chart.ShowLegend = false;
				chart.LayoutPanel.Margin = new Margins(0, 0, 20, 0);

				chart.XAxis.Title = "";
				chart.XAxis.MinValue = 0;
				chart.XAxis.MaxValue = 1;
				chart.XAxis.Interval = 0.1;

				chart.GridType = GridType.Horizontal;
				chart.Theme.GridLineColor = Color.FromArgb(192, 192, 192);
				chart.Theme.GridLineStyle = System.Drawing.Drawing2D.DashStyle.Dash;
				chart.Theme.GridColor1 = Color.FromArgb(255, 255, 255);
				chart.Theme.GridColor2 = Color.FromArgb(255, 255, 255);
				chart.Theme.TitleFontSize = 20;

				chart.YAxis.Title = "Income ($ in millions)";

				chart.Theme.UniformSeriesFill = new MindFusion.Drawing.LinearGradientBrush(ColorTranslator.FromHtml("#e0e9e9"), ColorTranslator.FromHtml("#616a7f"));

			}
		}

		protected void Button1_Click(object sender, EventArgs e)
		{

		}
	}
}